Skip to main content
GET
/
users
/
{user_token}
Get user by token
curl --request GET \
  --url https://api.vantage.sh/v2/users/{user_token} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/users/{user_token}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/users/{user_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "usr_bfc6ab15e635f848",
  "name": "Patrick White",
  "email": "white.patrick@kassulke-nitzsche.net",
  "role": "Owner",
  "last_seen_at": "2024-01-01"
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

user_token
string
required

Response

User model

token
string
required
name
string | null
required

The name of the User.

Example:

"John Doe"

email
string
required

The email of the User.

Example:

"john_doe@acme.com"

role
string
required

The role of the User.

Example:

"Admin"

default_dashboard_token
string | null

The token of the default Dashboard for the User.

Example:

"dshbrd_abcdef123456"

last_seen_at
string | null

The last time the User logged in.

Example:

"2024-01-01T00:00:00Z"